const spawn = require('cross-spawn');
const kzRegistry = 'http://10.10.126.140:4873';
const utils = require('./utils.js');
const fs = require('fs');

const addKZPackage = (packageName) => {
    console.log(packageName);
    const packageJson = utils.getPackageJson();
    if (packageJson.kzDependencies) {
        const exist = packageJson.kzDependencies.some((item) => {
            if ((item) === packageName) {
                return true;
            }
        });

        if (!exist) {
            packageJson.kzDependencies.push(packageName);
        }
    } else {
        packageJson.kzDependencies = [packageName];
    }

    utils.writePackageJson(JSON.stringify(packageJson));
    spawn.sync('npm', ['install', packageName, '--save', `--registry=${kzRegistry}`], { stdio: 'inherit' });
};

module.exports = addKZPackage;
