const spawn = require('cross-spawn');
const fs = require('fs');
const getPackageJson = require('./utils.js').getPackageJson;
const kzRegistry = 'http://10.10.126.140:4873';

const initProject = () => {
    const packageJson = getPackageJson();
    if (packageJson.kzDependencies) {
        const kzDependenciesList = packageJson.kzDependencies;
        kzDependenciesList.forEach((name) => {
            spawn.sync('npm', ['install', name, `--registry=${kzRegistry}`], { stdio: 'inherit' });
        });
    }

    spawn.sync('npm', ['install'], { stdio: 'inherit' });
};

module.exports = initProject;
