const fs = require('fs');

const getPackageJson = () => {
    let packageJson;
    const packageJsonPath = process.cwd() + '/package.json';
    if (fs.existsSync(packageJsonPath)) {
        let packageStr = fs.readFileSync(packageJsonPath, 'utf-8');
        packageJson = JSON.parse(packageStr);
    } else {
        console.log('当前目录无package.json文件，请到相应目录重新启动');
        process.exit(1);
    }
    return Object.assign({}, packageJson);
};

const writePackageJson = (str) => {
    let packageJson;
    const packageJsonPath = process.cwd() + '/package.json';
    if (fs.existsSync(packageJsonPath)) {
        fs.writeFileSync(packageJsonPath, str, 'utf-8');
    } else {
        console.log('当前目录无package.json文件，请到相应目录重新启动');
        process.exit(1);
    }
};

module.exports = {
    getPackageJson,
    writePackageJson,
};
