import React from 'react';
import { connect } from 'react-redux';
// import 'kz-icomoon-font';
import {
    Header,
    SideLayout,
    SideNav,
    MainContent,
    PageTitle,
    LoginDialog,
} from 'kz-frame';

const MainHeader = connect(
    (state) => {
        const {
            userName,
            status,
            verificationType,
        } = state.passport;
        return {
            userInfo: {
                userName: status === 'online' ? userName : '',
                verificationType,
            },
        };
    },
)(Header);

const MainLayout = ({
    sideHeader,
    sideFooter,
    sideSections,
    content,
    pageTitle = '搜狐快站',
    headerPages,
    headerCrumb,
    headerSubPages,
    curPage,
    curSubPage,
}) => () => (
    <div>
        <PageTitle title={pageTitle} />
        <MainHeader
            crumbData={headerCrumb}
            pages={headerPages}
            subPages={headerSubPages}
            curPage={curPage}
            curSubPage={curSubPage}
        />
        <LoginDialog />
        <SideLayout>
            <SideNav
                headerContent={sideHeader}
                sections={sideSections}
                footerContent={sideFooter}
            />
            <MainContent>
                {content}
            </MainContent>
        </SideLayout>
    </div>
    );

export default MainLayout;
