export const showPicViewDialog = (pic, picIndex) => ({
    pic,
    picIndex,
    type: 'picSelector.showPicViewDialog',
});

export const hidePicViewDialog = {
    type: 'picSelector.hidePicViewDialog',
};

export const updatePicSize = (width, height) => ({
    width,
    height,
    type: 'picSelector.updatePicSize',
});

export const getPicSize = props => (dispatch) => {
    if (!props.pic.url || props.hide) {
        return;
    }
    const img = new Image();
    img.onload = (pic) => {
        const i = pic.path[0];
        dispatch(updatePicSize(i.width, i.height));
    };
    img.onerror = () => {
        dispatch(updatePicSize(0, 0));
    };
    img.src = props.pic.url.replace(/\/imageView\/.*$/, '');
};

export default {
    getPicSize,
    updatePicSize,
    showPicViewDialog,
    hidePicViewDialog,
};
