import { combineReducers } from 'redux';
import picViewDialogReducers from './components/pic-view-dialog/reducers';

const initialOptions = [];
const options = (state = initialOptions, action) => {
    switch (action.type) {
    case 'picSelector.displayOptions':
        return action.options;
    default:
        return state;
    }
};

const initialCurSelect = '';
const curSelect = (state = initialCurSelect, action) => {
    switch (action.type) {
    case 'picSelector.displayOptions':
        return action.options[0].value;
    case 'picSelector.displaySelect':
        return action.select;
    default:
        return state;
    }
};

const initialList = [];
const picList = (state = initialList, action) => {
    switch (action.type) {
    case 'picSelector.displayMyPic':
        return action.picList;
    case 'picSelector.displaySelect':
        return [];
    default:
        return state;
    }
};

const initialGalleryList = [];
const galleryList = (state = initialGalleryList, action) => {
    switch (action.type) {
    case 'picSelector.displayGallery':
        return action.galleryList;
    case 'picSelector.displayTag':
    case 'picSelector.displaySearch':
        return [];
    default:
        return state;
    }
};

const initialCurTag = '全部';
const curTag = (state = initialCurTag, action) => {
    switch (action.type) {
    case 'picSelector.displayTag':
        return action.tag;
    default:
        return state;
    }
};

const initialQuery = '';
const query = (state = initialQuery, action) => {
    switch (action.type) {
    case 'picSelector.displaySearch':
        return action.query;
    default:
        return state;
    }
};

const initialPicPage = 1;
const picPage = (state = initialPicPage, action) => {
    switch (action.type) {
    case 'picSelector.picFetchNext':
        return action.page;
    default:
        return state;
    }
};

const initialPicMore = true;
const picMore = (state = initialPicMore, action) => {
    switch (action.type) {
    case 'picSelector.picMore':
        return action.picMore;
    default:
        return state;
    }
};

const initialGalleryPage = 1;
const galleryPage = (state = initialGalleryPage, action) => {
    switch (action.type) {
    case 'picSelector.galleryFetchNext':
        return action.page;
    default:
        return state;
    }
};

const initialGalleryMore = true;
const galleryMore = (state = initialGalleryMore, action) => {
    switch (action.type) {
    case 'picSelector.galleryMore':
        return action.galleryMore;
    default:
        return state;
    }
};

const initialAlter = false;
const alter = (state = initialAlter, action) => {
    switch (action.type) {
    case 'picSelector.displayAlter':
        return true;
    case 'picSelector.dismissAlter':
        return false;
    default:
        return state;
    }
};

const initialAlterMsg = '';
const alterMsg = (state = initialAlterMsg, action) => {
    switch (action.type) {
    case 'picSelector.displayAlter':
        return action.msg;
    case 'picSelector.dismissAlter':
        return '';
    default:
        return state;
    }
};

const initialSelected = [];
const selected = (state = initialSelected, action) => {
    switch (action.type) {
    case 'picSelector.selectPic':
        return [action.pic];
    default:
        return state;
    }
};

const initialUploading = false;
const uploading = (state = initialUploading, action) => {
    switch (action.type) {
    case 'picSelector.displayUpload':
        return true;
    case 'picSelector.dismissUpload':
        return false;
    default:
        return state;
    }
};

const initialUploadTotal = 0;
const uploadTotal = (state = initialUploadTotal, action) => {
    switch (action.type) {
    case 'picSelector.displayUpload':
        return action.uploadTotal;
    case 'picSelector.dismissUpload':
        return 0;
    default:
        return state;
    }
};

const initialUploadIndex = 0;
const uploadIndex = (state = initialUploadIndex, action) => {
    switch (action.type) {
    case 'picSelector.uploadIndex':
        return action.index;
    case 'picSelector.dismissUpload':
        return 0;
    default:
        return state;
    }
};

const picSelector = combineReducers({
    ...picViewDialogReducers,
    options,
    curSelect,
    picList,
    galleryList,
    curTag,
    query,
    picPage,
    picMore,
    galleryPage,
    galleryMore,
    alter,
    alterMsg,
    selected,
    uploading,
    uploadTotal,
    uploadIndex,
});

export default picSelector;
