import React, { Component } from 'react';
import classNames from 'classnames';
import PropTypes from 'prop-types';
import { Button, Col, Row } from 'kui2';
import { connect } from 'react-redux';
import { inc, dec } from './actions';
import './style.less';

class Demo extends Component {
    constructor(props) {
        super(props);
        this.state = {
            bg: 'lime',
        };

        this.handleInc = this.handleInc.bind(this);
        this.handleDec = this.handleDec.bind(this);
        this.handleChangeBg = this.handleChangeBg.bind(this);
    }

    componentDidUpdate() {
        console.log('did upate');
    }

    handleInc(num) {
        const { dispatch } = this.props;
        dispatch(inc(num));
    }

    handleDec(num) {
        const { dispatch } = this.props;
        dispatch(dec(num));
    }

    handleChangeBg(color) {
        this.setState({
            bg: color,
        });
    }

    render() {
        const clsPrefix = 'p-demo';
        const { bg } = this.state;
        const { count } = this.props;
        const cls = classNames(clsPrefix, {
            [`${clsPrefix}__lime`]: bg === 'lime',
            [`${clsPrefix}__yellow`]: bg === 'yellow',
        });
        return (
            <div className={cls}>
                <div className={`${clsPrefix}--content`}>
                    <div className={`${clsPrefix}--stage`}>
                        <div className={`${clsPrefix}--count`} >
                            {count}
                        </div>
                    </div>
                    <div className={`${clsPrefix}--panel`}>
                        <Row gutter={10}>
                            <Col span={4}>
                                <Button
                                    onClick={() => { this.handleInc(1); }}
                                >加1</Button>
                                <Button
                                    onClick={() => { this.handleInc(2); }}
                                >加2</Button>
                            </Col>
                            <Col span={4}>
                                <Button
                                    onClick={() => { this.handleDec(1); }}
                                >减1</Button>
                                <Button
                                    onClick={() => { this.handleDec(2); }}
                                >减2</Button>
                            </Col>
                        </Row>
                        <Row gutter={10}>
                            <Col span={4}>
                                <Button
                                    onClick={() => { this.handleChangeBg('lime'); }}
                                >变绿</Button>
                            </Col>
                            <Col span={4}>
                                <Button
                                    onClick={() => { this.handleChangeBg('yellow'); }}
                                >变黄</Button>
                            </Col>
                        </Row>
                    </div>
                </div>
            </div>
        );
    }
}

Demo.defaultProps = {
    count: 0,
};

Demo.propTypes = {
    count: PropTypes.number,
};

const mapStateToProps = state => ({
    count: state.demo.count,
});

export default connect(mapStateToProps)(Demo);
