import { combineReducers } from 'redux';

const initialPagerState = {
    curPage: 1,
    perPage: 5,
    totalPage: 1,
};

const list = (state = [], action) => {
    switch (action.type) {
    case 'kzstore.site-list.fetchList':
        return action.data;
    default:
        return state;
    }
};

const page = (state = initialPagerState, action) => {
    switch (action.type) {
    case 'kzstore.site-list.changePage':
        return {
            ...state,
            curPage: action.curPage,
            totalPage: action.totalPage,
        };
    default:
        return state;
    }
};

const plugin = (state = {}, action) => {
    switch (action.type) {
    case 'kzstore.plugin.fetchPlugin':
        return action.data;
    default:
        return state;
    }
};

const openMessage = (state = {
    unitType: 'by_day',
    unitPrice: 0,
}, action) => {
    switch (action.type) {
    case 'kzstore.plugin.openMessage':
        return action.data;
    default:
        return state;
    }
};

const kzstore = combineReducers({
    list,
    page,
    plugin,
    openMessage,
});

export default {
    kzstore,
};
