import moment from 'moment';

export const dateStart = date => (
    new Date(date.getFullYear(), date.getMonth(), date.getDate()).getTime() / 1000
);

export const yearStart = date => (
    new Date(date.getFullYear(), 0, 1).getTime() / 1000
);

export const formatDatePicker = (timestamp) => {
    const m = moment(timestamp * 1000);
    return m.format('YYYY-MM-DD');
};

export const format = (timestamp, noRelative) => {
    const todayTimestamp = dateStart(new Date());
    const m = moment(timestamp * 1000);
    if (!noRelative && timestamp > todayTimestamp) {
        return m.format('HH:mm');
    }
    return m.format('YYYY-MM-DD HH:mm');
};

export const formatRelative = (timestamp) => {
    const todayTimestamp = dateStart(new Date());
    const yearStartTimestamp = yearStart(new Date());
    const m = moment(timestamp * 1000);
    if (timestamp > todayTimestamp) {
        return m.format('HH:mm');
    }
    if (timestamp > yearStartTimestamp) {
        return m.format('MM-DD');
    }
    return m.format('YYYY-MM-DD');
};

export const parseMilliToSecond = millisecond => Math.ceil(millisecond / 1000);

export const parseSecondToMilli = second => second * 1000;
