import PropTypes from 'prop-types';

export const typeDs = PropTypes.shape({
    register: PropTypes.func,
    registerGroup: PropTypes.func,
    resolve: PropTypes.func,
});

export const typeSiteId = PropTypes.number;
export const typeWeixinAppid = PropTypes.number;

export const typeLocation = PropTypes.shape({
    key: PropTypes.string,
    pathname: PropTypes.string,
    search: PropTypes.string,
    hash: PropTypes.string,
    state: PropTypes.any,
});

export const typeLink = PropTypes.shape({
    title: PropTypes.string,
    description: PropTypes.string,
    picUrl: PropTypes.string,
    url: PropTypes.string,
    linkType: PropTypes.string,
    linkIds: PropTypes.arrayOf(PropTypes.string),
});

export const typePostItem = PropTypes.shape({
    pageId: PropTypes.number,
    title: PropTypes.string,
    thumbUrl: PropTypes.string,
    content: PropTypes.string,
    updateTime: PropTypes.number,
    link: PropTypes.shape({
        picUrl: PropTypes.string,
        title: PropTypes.string,
    }),
});

export const typePublishedPost = PropTypes.shape({
    title: PropTypes.string,
    description: PropTypes.string,
    picUrl: PropTypes.string,
    url: PropTypes.string,
    readCount: PropTypes.number,
    shareCount: PropTypes.number,
    collectCount: PropTypes.number,
});

export const typeMassItem = PropTypes.shape({
    massId: PropTypes.number,
    publishTime: PropTypes.number,
    responseJson: PropTypes.shape({
        posts: PropTypes.arrayOf(typePublishedPost),
        picUrl: PropTypes.string,
        content: PropTypes.string,
    }),
    state: PropTypes.string,
    totalCount: PropTypes.number,
    successCount: PropTypes.number,
    tagName: PropTypes.string,
    isTiming: PropTypes.bool,
});

export const typePost = PropTypes.shape({
    mediaId: PropTypes.string,
    items: PropTypes.arrayOf(typePostItem),
});

export const typeFans = PropTypes.shape({
    id: PropTypes.number,
    openId: PropTypes.string,
    name: PropTypes.string,
    headImgUrl: PropTypes.string,
    sex: PropTypes.number,
    address: PropTypes.string,
    subscribeTime: PropTypes.number,
    tagIds: PropTypes.arrayOf(PropTypes.number),
});

export const typeTagId = PropTypes.oneOfType([
    PropTypes.number,
    PropTypes.string,
]);

export default {
    typeLocation,
    typeDs,
    typeSiteId,
    typeWeixinAppid,
};
