import conf from '../conf/index';

const urlPrefix = conf.get('url_app_v3');
const mobilePrefix = conf.get('url_mobile_v3');
const picUrlPrefix = conf.get('url_pic');
const uploadedPicUrlPrefix = conf.get('url_uploaded_pic');

export const pageUrl = url => `${urlPrefix}${url}`;

export const isOutsideLocation = (location) => {
    const reg = new RegExp(`^${urlPrefix}`);
    return !reg.test(location);
};

export const picUrl = url => `${picUrlPrefix}${url}`;
export const uploadedPicUrl = url => `${uploadedPicUrlPrefix}${url}`;

export const pageLinkUrl = (hostname, url) => `${hostname}${url}`;
export const articleHomeUrl = (hostname, siteId) => `${hostname}/v2/covers/?site_id=${siteId}`;
export const shopHomeUrl = (hostname, shopId) => `${hostname}/shop/shops/${shopId}`;
export const shopCartUrl = (hostname, shopId) => `${hostname}/shop/shops/${shopId}/buyer-wishes`;
export const shopOrderUrl = (hostname, shopId) => `${hostname}/shop/shops/${shopId}/buyer-order?current_stage=200`;
export const mobileUrl = url => `${mobilePrefix}${url}`;

export default {
    isOutsideLocation,
    pageUrl,
    picUrl,
    uploadedPicUrl,
    pageLinkUrl,
    articleHomeUrl,
    shopHomeUrl,
    shopCartUrl,
    shopOrderUrl,
    mobileUrl,
};
